Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.configuration
Class ConfigurationFactory

    java.lang.Object
      kieker.monitoring.core.configuration.ConfigurationFactory

    public final class ConfigurationFactory

extends Object

A ConfigurationFactory for kieker.monitoring.

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Field Summary
`static String` | `ACTIVATE_JMX`
`static String` | `ACTIVATE_JMX_CONTROLLER`
`static String` | `ACTIVATE_JMX_CONTROLLER_NAME`
`static String` | `ACTIVATE_JMX_DOMAIN`
`static String` | `ACTIVATE_JMX_REMOTE`
`static String` | `ACTIVATE_JMX_REMOTE_FALLBACK`
`static String` | `ACTIVATE_JMX_REMOTE_NAME`
`static String` | `ACTIVATE_JMX_REMOTE_PORT`
`static String` | `ADAPTIVE_MONITORING_BOUNDED_CACHE_BEHAVIOUR`
`static String` | `ADAPTIVE_MONITORING_CONFIG_FILE`
`static String` | `ADAPTIVE_MONITORING_CONFIG_FILE_READ_INTERVALL`
`static String` | `ADAPTIVE_MONITORING_CONFIG_FILE_UPDATE`
`static String` | `ADAPTIVE_MONITORING_ENABLED`
`static String` | `ADAPTIVE_MONITORING_MAX_CACHE_SIZE`
`static String` | `AUTO_SET_LOGGINGTSTAMP`
`static String` | `CONTROLLER_NAME`
`static String` | `CUSTOM_PROPERTIES_LOCATION_CLASSPATH` Location of the custom properties file (in classpath).
`static String` | `CUSTOM_PROPERTIES_LOCATION_JVM` JVM-parameter to specify a custom properties file.
`static String` | `DEBUG`
`static String` | `DEFAULT_PROPERTIES_LOCATION_CLASSPATH` Location of the default properties file (in classpath).
`static String` | `EXPERIMENT_ID`
`static String` | `HOST_NAME`
`static String` | `METADATA`
`static String` | `MONITORING_ENABLED`
`static String` | `PERIODIC_SENSORS_EXECUTOR_POOL_SIZE`
`static String` | `PREFIX` prefix used for all kieker.monitoring components.
`static String` | `TIMER_CLASSNAME`
`static String` | `USE_SHUTDOWN_HOOK`
`static String` | `WRITER_CLASSNAME`

Method Summary
`static Configuration` | `createConfigurationFromFile(String configurationFile)` Creates a new configuration based on the given properties file with fallback on the default values.
`static Configuration` | `createDefaultConfiguration()` Returns an empty properties map with a fallback on the default configuration.
`static Configuration` | `createSingletonConfiguration()` Creates the configuration for the singleton controller instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  prefix used for all kieker.monitoring components.

  See Also:
    Constant Field Values

### CUSTOM_PROPERTIES_LOCATION_CLASSPATH

    public static final String CUSTOM_PROPERTIES_LOCATION_CLASSPATH

  Location of the custom properties file (in classpath).

  See Also:
    Constant Field Values

### DEFAULT_PROPERTIES_LOCATION_CLASSPATH

    public static final String DEFAULT_PROPERTIES_LOCATION_CLASSPATH

  Location of the default properties file (in classpath).

  See Also:
    Constant Field Values

### CUSTOM_PROPERTIES_LOCATION_JVM

    public static final String CUSTOM_PROPERTIES_LOCATION_JVM

  JVM-parameter to specify a custom properties file.

  See Also:
    Constant Field Values

### MONITORING_ENABLED

    public static final String MONITORING_ENABLED

See Also:
  Constant Field Values

### CONTROLLER_NAME

    public static final String CONTROLLER_NAME

See Also:
  Constant Field Values

### HOST_NAME

    public static final String HOST_NAME

See Also:
  Constant Field Values

### EXPERIMENT_ID

    public static final String EXPERIMENT_ID

See Also:
  Constant Field Values

### USE_SHUTDOWN_HOOK

    public static final String USE_SHUTDOWN_HOOK

See Also:
  Constant Field Values

### DEBUG

    public static final String DEBUG

See Also:
  Constant Field Values

### METADATA

    public static final String METADATA

See Also:
  Constant Field Values

### ACTIVATE_JMX

    public static final String ACTIVATE_JMX

See Also:
  Constant Field Values

### ACTIVATE_JMX_DOMAIN

    public static final String ACTIVATE_JMX_DOMAIN

See Also:
  Constant Field Values

### ACTIVATE_JMX_CONTROLLER

    public static final String ACTIVATE_JMX_CONTROLLER

See Also:
  Constant Field Values

### ACTIVATE_JMX_CONTROLLER_NAME

    public static final String ACTIVATE_JMX_CONTROLLER_NAME

See Also:
  Constant Field Values

### ACTIVATE_JMX_REMOTE

    public static final String ACTIVATE_JMX_REMOTE

See Also:
  Constant Field Values

### ACTIVATE_JMX_REMOTE_PORT

    public static final String ACTIVATE_JMX_REMOTE_PORT

See Also:
  Constant Field Values

### ACTIVATE_JMX_REMOTE_NAME

    public static final String ACTIVATE_JMX_REMOTE_NAME

See Also:
  Constant Field Values

### ACTIVATE_JMX_REMOTE_FALLBACK

    public static final String ACTIVATE_JMX_REMOTE_FALLBACK

See Also:
  Constant Field Values

### AUTO_SET_LOGGINGTSTAMP

    public static final String AUTO_SET_LOGGINGTSTAMP

See Also:
  Constant Field Values

### WRITER_CLASSNAME

    public static final String WRITER_CLASSNAME

See Also:
  Constant Field Values

### TIMER_CLASSNAME

    public static final String TIMER_CLASSNAME

See Also:
  Constant Field Values

### PERIODIC_SENSORS_EXECUTOR_POOL_SIZE

    public static final String PERIODIC_SENSORS_EXECUTOR_POOL_SIZE

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_ENABLED

    public static final String ADAPTIVE_MONITORING_ENABLED

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_CONFIG_FILE

    public static final String ADAPTIVE_MONITORING_CONFIG_FILE

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_CONFIG_FILE_UPDATE

    public static final String ADAPTIVE_MONITORING_CONFIG_FILE_UPDATE

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_CONFIG_FILE_READ_INTERVALL

    public static final String ADAPTIVE_MONITORING_CONFIG_FILE_READ_INTERVALL

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_MAX_CACHE_SIZE

    public static final String ADAPTIVE_MONITORING_MAX_CACHE_SIZE

See Also:
  Constant Field Values

### ADAPTIVE_MONITORING_BOUNDED_CACHE_BEHAVIOUR

    public static final String ADAPTIVE_MONITORING_BOUNDED_CACHE_BEHAVIOUR

See Also:
  Constant Field Values

Method Detail

### createSingletonConfiguration

    public static final Configuration createSingletonConfiguration()

  Creates the configuration for the singleton controller instance. Note that the `Properties` returned by this method are not a singleton instance, i.e., each call returns an equal but not same set of `Properties`.

  Returns:
    the configuration for the singleton controller

### createDefaultConfiguration

    public static final Configuration createDefaultConfiguration()

  Returns an empty properties map with a fallback on the default configuration.

  Returns:
    default configuration

### createConfigurationFromFile

    public static final Configuration createConfigurationFromFile(String configurationFile)

  Creates a new configuration based on the given properties file with fallback on the default values. If the file does not exists, a warning is logged and an empty configuration with fallback on the default configuration is returned.

  Parameters:
    `configurationFile` - The file which contains the configuration.
  Returns:
    The created Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net